Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url http://api.superwize.ai/api/groupChat/getGroupMessages \ --header 'Content-Type: application/json' \ --data ' { "groupChatId": "grp_01JHKYX1B2CD123456789", "limit": 50, "after": "obj_01JHKZ0PV2WX123456788" } '
{ "messages": [ { "id": "obj_01JHKZ0PV2WX123456789", "type": "message", "role": "user", "content": "What are practical AI use-cases for students?", "parts": [ { "type": "web_search_tool_call", "content": { "query": "latest AI tools for students in Pakistan", "num_results": 5, "country": "pk", "safe_search": true } } ], "sender": { "id": "obj_01JHKZ0PV2WX123456789", "name": "Primary Key", "image": "https://cdn.superwize.ai/assets/avatars/user-1.png" }, "createdAt": "2026-01-01T00:00:00.000Z" } ], "hasMore": false, "lastId": "obj_01JHKZ0PV2WX123456789" }
Returns paginated group messages enriched with sender and tool-output metadata.
1 <= x <= 100
Messages returned.
Show child attributes